[SailfishDevel] Problem running "old" project on QT5

Markus Svensson markus.svensson at me.com
Wed Oct 9 18:08:35 UTC 2013


Thanks, Jonni - that sure did the trick (that, and then adding some missing imports).

Regards,
Markus


6 okt 2013 kl. 22:50 skrev Jonni Rainisto <jonni.rainisto at jollamobile.com>:

> if you change Builder from qmake to qmake5 in .yaml file you most likely will get a step further.
> 
> re, Jonni
> From: devel-bounces at lists.sailfishos.org [devel-bounces at lists.sailfishos.org] on behalf of Markus Svensson [markus.svensson at me.com]
> Sent: Sunday, October 06, 2013 10:59 PM
> To: devel at lists.sailfishos.org
> Subject: Re: [SailfishDevel] Problem running "old" project on QT5
> 
> OK, so I finally had some time to continue working on this little project. 
> 
> I've gotten the old QT4 classes out of the way and replaced with the QT5 counterparts - but I can't get the QT5 includes to stick. The compiler output clearly shows that it's still using the QT4 headers:
> 
> g++ -c -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -m32 -march=core2 -mssse3 -mtune=atom -mfpmath=sse -fasynchronous-unwind-tables -fno-omit-frame-pointer -Wall -W -D_REENTRANT -DDEPLOYMENT_PATH="\""/usr/share/SilicaNote/"\"" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -Isailfishapplication -I. -o main.o main.cpp
> main.cpp:1:22: fatal error: QQuickView: No such file or directory
> 
> So, how do I update the project to use QT5? I tried editing the Makefile - but it seems to be automatically generated by QT Creator for every build?
> 
> Grepping for "qt4/QtGui" just gives me the Makefile:
> 
> macbook-pro:SilicaNote markus$ grep -r qt4/QtGui *
> Makefile:INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -Isailfishapplication -I.
> Binary file sailfishapplication.o matches
> 
> but I assume it's defined somewhere else what QT version is to be used? 
> 
> I realize it would probably be easier to just create a new project in QT Creator and copy my source files to it - but I would like to understand how this works behind the scenes as well... :)
> 
> Thanks!
> 
> Regards,
> Markus
> 
> P.S - here's the link to the code on GitHub: http://ortofta.github.io/SilicaNote/
> 
> 19 sep 2013 kl. 22:20 skrev Jonni Rainisto <jonni.rainisto at jollamobile.com>:
> 
>> Hi,
>> 
>> Usually it helps to point to the problem if you would give url to your git repo. If not then "rgrep -i declarative *" might do the trick.
>> 
>> re, Jonni
>> From: devel-bounces at lists.sailfishos.org [devel-bounces at lists.sailfishos.org] on behalf of Markus Svensson [markus.svensson at me.com]
>> Sent: Thursday, September 19, 2013 10:42 PM
>> To: devel at lists.sailfishos.org
>> Subject: [SailfishDevel] Problem running "old" project on QT5
>> 
>> Hi all,
>> 
>> I'm in the process of migrating my app from the old QT4 alpha of the SDK to the latest QT5-based version.
>> 
>> I'm running into problems when I try to deploy to the emulator:
>> /opt/sdk/SilicaNote/opt/sdk/bin/SilicaNote: error while loading shared libraries: libQtDeclarative.so.4: cannot open shared object file: No such file or directory
>> 
>> I assume there is a dependency to a QT4 library hiding somewhere in my project - does anyone have a clue where to look?
>> 
>> Thanks!
>> 
>> Regards,
>> Markus Svensson

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.sailfishos.org/pipermail/devel/attachments/20131009/8fc2c28c/attachment.html>


More information about the Devel mailing list